class: CommandLineTool
cwlVersion: v1.0
$namespaces:
  sbg: 'https://www.sevenbridges.com/'
id: inspect_flagging_dataloss
baseCommand:
  - python3
  - script.py
inputs:
  - id: input
    type: Directory
    inputBinding:
      position: 0
      shellQuote: false
outputs:
  - id: output
    type: 'File'
    outputBinding:
      glob: metrics.json
label: inspect_flagging_dataloss
requirements:
  - class: ShellCommandRequirement
  - class: InitialWorkDirRequirement
    listing:
     - entryname: script.py
       entry: |
         import sys
         from casacore.tables import table
         input_ms_path = sys.argv[1]


         with open('metrics.json', 'w') as f_stream:
             pass

  - class: DockerRequirement
    dockerPull: 'lofareosc/lofar-pipeline:latest'
